<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_GroupList.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">fwAccessControl/fwAccessControl_GroupList.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>List of groups</p>
<p>
	<p>
	This panel displays the list of groups defined in the system, and allows to inspect their details,
	modify, create and delete groups (depending on the access rights).
	</p>

	<p> The panel has two modes of operation: <em>edit mode</em>, presented in Figure 1,
	 and <em>view mode</em>, presented in Figure 2.
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_GroupList.png"></td></tr>
<tr><td><span class="caption">Figure 1: The Group List panel in edit mode</span></td></tr>
</table></div>
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_GroupList_view.png"></td></tr>
<tr><td><span class="caption">Figure 2: The Group List panel in view mode</span></td></tr>
</table></div>
	In the <em>view</em> mode, only inspection of groups is possible (only <span class="button">View</span>
	button is available in Figure 2), 
	whereas in the <em>edit</em>
	mode, it is possible to add, delete and modify groups
	(<span class="button">Add</span>,<span class="button">Delete</span>, <span class="button">Edit</span> buttons visible on Figure 1).
	</p>
	<p>
	The mode of operation is determined by the privileges of the user:
	<ul>
	    <li> if current user has no Group Administration privilege (see the <a href="fwAccessControl_Setup.htm">Setup</a>  panel), the mode is set to <em>view</em>. </li>
	    
	    <li> otherwise, if current user has Group Administration privilege, the mode is set to <em>edit</em>. </li>
	</ul>
	</p>
	
	<p>
	    The panel allows to filter the names of displayed groups: in Figure 1, the <em>Filter</em> field is empty, and 
	    all defined groups are displayed in the panel. In Figure 2, however, the <em>Filter</em> was set
	    to <code>*/Experts</code>, and only the groups the names (or full names) of which match
	    the expression, are displayed. The <em>wildcard character</em>, <b>*</b> (asterisk) may be used
	    in the filter expression to stand for any string of characters.
	    The filter is not case-sensitive, e.g. the <code>Abc*</code> filter 
	    expression would match names (or full names) such as <em>ABC</em>, <em>aBcDe</em>, etc.
	</p>
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To open this panel:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Use the <span class="selbutton">Administration &gt; Groups</span> in the context menu of the
	<a href="fwAccessControl_CurrentUser.htm">Current User</a>  object, which is available,
	for instance, in the <a href="fwAccessControl_Toolbar.htm">Toolbar</a>  panel.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To view or edit a group:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	<ol>
	<li> select a group in the <em>Groups</em> list </li>
	<li> double-click on the selected group, or click the <span class="button">Edit</span> or <span class="button">View</span> button
	(depending on user's privileges).
	This will bring up the <a href="fwAccessControl_EditGroup.htm">Edit Group</a>  panel,
	in either <em>edit</em> or <em>view</em> mode. Follow the instructions for that panel.
	</li>
	</ol>
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To create a new group:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	click on <span class="button">Add</span> button; this will bring up the 
	<a href="fwAccessControl_EditGroup.htm">Edit Group</a>  panel in the <em>create</em> mode
	of operation; follow the instructions for that panel.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To delete a group:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	<ol>
	<li> select a group in the <em>Groups</em> list </li>
	<li> click on <span class="button">Delete</span> button</li>
	<li> confirm that you want to delete the group</li>
	</ol>
    </dd>
</dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul>
<li xmlns:html="http://www.w3.org/1999/xhtml">
<strong>Access_GroupMgmt:</strong> Groups may be modified, created or deleted (the panel displayed in the <em>edit</em> mode)
	only if the user has Group Administration (or System Administration) access rights.    
    </li>
<li xmlns:html="http://www.w3.org/1999/xhtml">
<strong>NoLocalEdit:</strong>
	In the Integrated Access Control mode (i.e. with the Access Control Server), the groups may only be modified
	on the machine on which the AC Server is running.
    </li>
</ul></td>
</tr>
</tbody></table>
<br>

<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
